Current Auto Rates

Security Updates

Security Updates

Learn More

Contact Us

Online and Mobile Banking

To ensure your information is private and secure, PFCU Online and Mobile Banking is upgrading security to connect exclusively via TLS 1.1 or higher connections on April 4th, 2017.

What's TLS 1.0?

TLS stands for Transport Layer Security, and its job is to make sure nothing is peeking into your internet connection. Updated versions of TLS are already available if your browser is capable and enabled to use TLS 1.1 or higher.

What does this mean for me?

For Online banking, if you use Chrome, Opera, Safari, and/or Firefox, and your browser is enabled for auto updates, you do not have to do anything. If auto updates are not enabled, your browser may not be using TLS 1.1 or higher and you will not be able to connect to Online or Mobile Banking until the security is upgraded.

If you're using Internet Explorer, make sure you're using Internet Explorer 11 or Internet Explorer Edge. Versions earlier than Internet Explorer 11 may not be able to connect to Online Banking without updated security settings. Internet Explorer 9 and 10 will have the ability to use TLS 1.1 and 1.2, but setting changes may need to be made.

For Mobile Banking, Android version 5.0 and above, as well as IPhone version 8.0 and above are operating systems that support TLS1.1 or higher.

If you are unsure whether or not your device is supported, you can use the link below to view the security protocol supported by your browser.

https://www.howsmytls.com

You will want to make sure the Version states Improvable or Good for Online or Mobile Banking to be compatible with PFCU Online or Mobile Banking applications.